from aiohttp import web

#  https://aiohttp.readthedocs.io/en/stable/web.html#websockets
async def endless_update_stream(request):
    ws = web.WebSocketResponse()
    await ws.prepare(request)
    while True:
        ws.send_str("x" * 100000)

app = web.Application()
app.router.add_get("/", endless_update_stream)

web.run_app(app, port=8081)
